com.genesyslab.wfm7.API.service.forecast720

## Class CfgActivityShort

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast720.CfgActivityShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivityShort
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `wmActivityId`
    `private int` | `wmActivitySetId`
    `private boolean` | `wmDeleted`
    `private java.lang.String` | `wmName`
    `private java.lang.String` | `wmShortName`
    `private int` | `wmSiteId`
    `private int` | `wmType`
    `private int` | `wmVirtualActivityId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivityShort()`
    `CfgActivityShort(int wmActivityId, int wmSiteId, int wmVirtualActivityId, int wmActivitySetId, java.lang.String wmName, java.lang.String wmShortName, int wmType, boolean wmDeleted)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getWmActivityId()` Gets the wmActivityId value for this CfgActivityShort.
    `int` | `getWmActivitySetId()` Gets the wmActivitySetId value for this CfgActivityShort.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgActivityShort.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgActivityShort.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgActivityShort.
    `int` | `getWmType()` Gets the wmType value for this CfgActivityShort.
    `int` | `getWmVirtualActivityId()` Gets the wmVirtualActivityId value for this CfgActivityShort.
    `int` | `hashCode()`
    `boolean` | `isWmDeleted()` Gets the wmDeleted value for this CfgActivityShort.
    `void` | `setWmActivityId(int wmActivityId)` Sets the wmActivityId value for this CfgActivityShort.
    `void` | `setWmActivitySetId(int wmActivitySetId)` Sets the wmActivitySetId value for this CfgActivityShort.
    `void` | `setWmDeleted(boolean wmDeleted)` Sets the wmDeleted value for this CfgActivityShort.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgActivityShort.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgActivityShort.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgActivityShort.
    `void` | `setWmType(int wmType)` Sets the wmType value for this CfgActivityShort.
    `void` | `setWmVirtualActivityId(int wmVirtualActivityId)` Sets the wmVirtualActivityId value for this CfgActivityShort.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmActivityId

          private int wmActivityId

    - #### wmSiteId

          private int wmSiteId

    - #### wmVirtualActivityId

          private int wmVirtualActivityId

    - #### wmActivitySetId

          private int wmActivitySetId

    - #### wmName

          private java.lang.String wmName

    - #### wmShortName

          private java.lang.String wmShortName

    - #### wmType

          private int wmType

    - #### wmDeleted

          private boolean wmDeleted

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgActivityShort

          public CfgActivityShort()

    - #### CfgActivityShort

          public CfgActivityShort(int wmActivityId,
                          int wmSiteId,
                          int wmVirtualActivityId,
                          int wmActivitySetId,
                          java.lang.String wmName,
                          java.lang.String wmShortName,
                          int wmType,
                          boolean wmDeleted)

  - ### Method Detail

    - #### getWmActivityId

          public int getWmActivityId()

      Gets the wmActivityId value for this CfgActivityShort.
      Returns:
        wmActivityId

    - #### setWmActivityId

          public void setWmActivityId(int wmActivityId)

      Sets the wmActivityId value for this CfgActivityShort.
      Parameters:
        `wmActivityId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgActivityShort.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgActivityShort.
      Parameters:
        `wmSiteId` -

    - #### getWmVirtualActivityId

          public int getWmVirtualActivityId()

      Gets the wmVirtualActivityId value for this CfgActivityShort.
      Returns:
        wmVirtualActivityId

    - #### setWmVirtualActivityId

          public void setWmVirtualActivityId(int wmVirtualActivityId)

      Sets the wmVirtualActivityId value for this CfgActivityShort.
      Parameters:
        `wmVirtualActivityId` -

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the wmActivitySetId value for this CfgActivityShort.
      Returns:
        wmActivitySetId

    - #### setWmActivitySetId

          public void setWmActivitySetId(int wmActivitySetId)

      Sets the wmActivitySetId value for this CfgActivityShort.
      Parameters:
        `wmActivitySetId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgActivityShort.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgActivityShort.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgActivityShort.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgActivityShort.
      Parameters:
        `wmShortName` -

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this CfgActivityShort.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this CfgActivityShort.
      Parameters:
        `wmType` -

    - #### isWmDeleted

          public boolean isWmDeleted()

      Gets the wmDeleted value for this CfgActivityShort.
      Returns:
        wmDeleted

    - #### setWmDeleted

          public void setWmDeleted(boolean wmDeleted)

      Sets the wmDeleted value for this CfgActivityShort.
      Parameters:
        `wmDeleted` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.